@mixin base-link-button(
  $bgColor: $color_third,
  $textColor: $color_white,
  $mrgTop: 20px,
  $paddingTop: 15px,
  $paddingBottom: 15px,
  $paddingLeft: 15px,
  $paddingRight: 15px,
  $icon-size: $font-size_14) {
  width: fit-content;
  border-radius: 4px;
  padding: $paddingTop $paddingRight $paddingBottom $paddingLeft;
  outline: none;
  border: none;
  background: $bgColor;
  color: $textColor;
  margin: 0 auto;
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: $mrgTop;
  font-size: $icon-size;
  font-weight: 600;

  i {
    margin: 0px 5px 0px 0px;
  }

  &:hover {
    transition: ease-in-out all 300ms;
    transform: scale(1.05);

    i {
      transition: ease-in-out all 300ms;
      transform: scale(1.3);
    }
  }
  @media only screen and (min-width: 765px) {
    font-size: $font-size_18;
  }
}

@mixin base-button($bgColor: $color_third, $textColor: $color_white) {
  width: fit-content;
  border-radius: 4px;
  padding: 15px 15px;
  outline: none;
  border: none;
  background: $bgColor;
  color: $textColor;
  margin: 0 auto;
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  font-size: $font-size_14;
  font-weight: 600;
}

@mixin base-icon-button() {
  width: 30px;
  height: 30px;
  margin: 10px auto;
  background: $color_primary;
}